Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 911925

Summary: dev-python/wxpython-4.2.0 - ./regen.sh: line 127: /usr/bin/doxygen: No such file or directory
Product: Gentoo Linux Reporter: Martin Mokrejš <mmokrejs>
Component: Current packagesAssignee: Gentoo wxWidgets project <wxwidgets>
Status: RESOLVED FIXED    
Severity: normal CC: mgorny, prefix, python
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Martin Mokrejš 2023-08-08 15:29:55 UTC
Hi,
  on Gentoo::Prefix the system-wide binaries are typically incompatible with the Gentoo rnning elsewhere on the machine. The build process should rely on PATH to find the needed doxygen binary.

 * Package:    dev-python/wxpython-4.2.0:4.0
 * Repository: gentoo
 * Maintainer: wxwidgets@gentoo.org python@gentoo.org
 * USE:        abi_x86_64 amd64 elibc_glibc kernel_linux prefix python_targets_python3_11
 * FEATURES:   network-sandbox nostrip preserve-libs splitdebug
>>> Unpacking source...
>>> Unpacking wxPython-4.2.0.tar.gz to /dev/shm/mmokrejs/portage/dev-python/wxpython-4.2.0/work
>>> Source unpacked in /dev/shm/mmokrejs/portage/dev-python/wxpython-4.2.0/work
>>> Preparing source in /dev/shm/mmokrejs/portage/dev-python/wxpython-4.2.0/work/wxPython-4.2.0 ...
 * Applying wxpython-4.2.0-no-webkit.patch ...
 [ ok ]
 * Applying wxpython-4.2.0-no-attrdict.patch ...
 [ ok ]
 * Applying wxpython-4.2.0-flags.patch ...
 [ ok ]
 * Will copy sources from /dev/shm/mmokrejs/portage/dev-python/wxpython-4.2.0/work/wxPython-4.2.0
 * python3_11: copying to /dev/shm/mmokrejs/portage/dev-python/wxpython-4.2.0/work/wxPython-4.2.0-python3_11
 * Build system packages:
 *   dev-python/setuptools         : 68.0.0-r1
>>> Source prepared.
>>> Configuring source in /dev/shm/mmokrejs/portage/dev-python/wxpython-4.2.0/work/wxPython-4.2.0 ...
 * 
 * Requested wxWidgets:        3.2-gtk3
 * Using wxWidgets:            gtk3-unicode-3.2-gtk3
 * 
>>> Source configured.
>>> Compiling source in /dev/shm/mmokrejs/portage/dev-python/wxpython-4.2.0/work/wxPython-4.2.0 ...
 * python3_11: running distutils-r1_run_phase python_compile
/dev/shm/mmokrejs/portage/dev-python/wxpython-4.2.0/work/wxPython-4.2.0-python3_11/build.py:43: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives
  from distutils.dep_util import newer, newer_group
./regen.sh: line 127: /usr/bin/doxygen: No such file or directory
sed: can't read doxygen.log: No such file or directory
Will build using: "/auto/vestec1-elixir/projects/biocev/gentoo/usr/bin/python3.11"
3.11.4 (main, Aug  4 2023, 14:05:58) [GCC 13.2.0]
Python's architecture is 64bit
cfg.VERSION: 4.2.0

Running command: dox
bash ./regen.sh xml
Command 'bash ./regen.sh xml' failed with exit code 2.
Finished command: dox (0.40s)
 * ERROR: dev-python/wxpython-4.2.0::gentoo failed (compile phase):
 *   (no error message)
 * 
 * Call stack:
 *     ebuild.sh, line  136:  Called src_compile
 *   environment, line 4012:  Called distutils-r1_src_compile
 *   environment, line 1923:  Called _distutils-r1_run_foreach_impl 'python_compile'
 *   environment, line  726:  Called python_foreach_impl 'distutils-r1_run_phase' 'python_compile'
 *   environment, line 3583:  Called multibuild_foreach_variant '_python_multibuild_wrapper' 'distutils-r1_run_phase' 'python_compile'
 *   environment, line 3083:  Called _multibuild_run '_python_multibuild_wrapper' 'distutils-r1_run_phase' 'python_compile'
 *   environment, line 3081:  Called _python_multibuild_wrapper 'distutils-r1_run_phase' 'python_compile'
 *   environment, line 1208:  Called distutils-r1_run_phase 'python_compile'
 *   environment, line 1907:  Called python_compile
 *   environment, line 3380:  Called die
 * The specific snippet of code:
 *       DOXYGEN=/usr/bin/doxygen ${PYTHON} build.py dox etg --nodoc || die;
 * 
 * If you need support, post the output of `emerge --info '=dev-python/wxpython-4.2.0::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-python/wxpython-4.2.0::gentoo'`.
 * The complete build log is located at '/dev/shm/mmokrejs/portage/dev-python/wxpython-4.2.0/temp/build.log'.
 * The ebuild environment file is located at '/dev/shm/mmokrejs/portage/dev-python/wxpython-4.2.0/temp/environment'.
 * Working directory: '/dev/shm/mmokrejs/portage/dev-python/wxpython-4.2.0/work/wxPython-4.2.0-python3_11'
 * S: '/dev/shm/mmokrejs/portage/dev-python/wxpython-4.2.0/work/wxPython-4.2.0'
Comment 1 Martin Mokrejš 2023-12-29 13:59:47 UTC
I found it.

--- /var/db/repos/gentoo/dev-python/wxpython/wxpython-4.2.1.ebuild.ori	2023-12-29 14:52:35.012477000 +0100
+++ /var/db/repos/gentoo/dev-python/wxpython/wxpython-4.2.1.ebuild	2023-12-29 14:54:01.315875000 +0100
@@ -71,7 +71,7 @@
 }
 
 python_compile() {
-	DOXYGEN=/usr/bin/doxygen ${PYTHON} build.py dox etg --nodoc || die
+	DOXYGEN="${EPREFIX}"/usr/bin/doxygen ${PYTHON} build.py dox etg --nodoc || die
 
 	# Refresh the bundled/pregenerated sip files
 	"${EPYTHON}" build.py sip || die
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2023-12-29 16:46:42 UTC
Thanks for figuring it out.  However, I'm going to use `type -P` to avoid hardcoding any particular path.
Comment 3 Larry the Git Cow gentoo-dev 2023-12-29 16:49:06 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69a1299b8fd77d253927394e3f9921822f223a34

commit 69a1299b8fd77d253927394e3f9921822f223a34
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2023-12-29 16:47:18 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2023-12-29 16:49:02 +0000

    dev-python/wxpython: Do not hardcode the path to doxygen
    
    Closes: https://bugs.gentoo.org/911925
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 dev-python/wxpython/wxpython-4.2.0.ebuild | 2 +-
 dev-python/wxpython/wxpython-4.2.1.ebuild | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
Comment 4 Martin Mokrejš 2023-12-29 19:05:53 UTC
Thank you, you are smarter than me. I am not sure if that won't break during bootstrapping. Portage takes care of the EPREFIX variable so it should work. CCing prefix@ , just in case. Thousands of ebuilds rely on this variable.
Comment 5 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2023-12-29 19:49:11 UTC
Actually, the correct variable for BDEPEND is BROOT.